## CVM

# The cvm-vmailmgr Module

## Synopsis:

vmailmgr virtual user validation module

## Credentials:

1. Pass phrase

## Description:

This module validates credentials using accounts in a vmailmgr system. It does domain lookups the same way qmail would to determine what system account and virtual account to use. If the domain is not being managed by vmailmgr, it fails with OUTOFSCOPE set to true.

## Configuration Variables:

`$VMAILMGR_AUTOCONVERT` (optional)
  If this is set, encrypted passwords in the virtual password file will be automatically converted to plain text format after the first successful authentication. Plain text passwords are required for use of challenge-response authentication methods such as CRAM-MD5.
`$VMAILMGR_DEFAULT` (optional)
  The name of the default or "catch-all" account to look up if no match is found for the virtual account name. Defaults to "`+`", and is only used in lookup mode.
`$VMAILMGR_PWFILE` (optional)
  The relative path to the password file located in the virtual domain's home directory. Defaults to "`passwd.cdb`"

Note: All configuration variables available for cvm-qmail are also usable here.